summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--jjb/scripts/setup_vpp_dpdk_dev_env.sh10
-rw-r--r--jjb/vpp/include-raw-vpp-maven-push.sh14
2 files changed, 17 insertions, 7 deletions
diff --git a/jjb/scripts/setup_vpp_dpdk_dev_env.sh b/jjb/scripts/setup_vpp_dpdk_dev_env.sh
index e16b11c37..f2ceb53ad 100644
--- a/jjb/scripts/setup_vpp_dpdk_dev_env.sh
+++ b/jjb/scripts/setup_vpp_dpdk_dev_env.sh
@@ -25,6 +25,16 @@ gpgcheck=0
EOF
sudo mv fdio-master.repo /etc/yum.repos.d/fdio-master.repo
sudo yum -y install vpp-dpdk-devel || true
+ elif [ "$OS_ID" == "opensuse" ]; then
+ sudo cat << EOF > fdio-master.repo
+[fdio-master]
+name=fd.io master branch latest merge
+baseurl=${REPO_URL}
+enabled=1
+gpgcheck=0
+EOF
+ sudo mv fdio-master.repo /etc/yum/repos.d/fdio-master.repo
+ sudo yum -y install vpp-dpdk-devel || true
fi
fi
}
diff --git a/jjb/vpp/include-raw-vpp-maven-push.sh b/jjb/vpp/include-raw-vpp-maven-push.sh
index cec22da5d..086258ed9 100644
--- a/jjb/vpp/include-raw-vpp-maven-push.sh
+++ b/jjb/vpp/include-raw-vpp-maven-push.sh
@@ -32,12 +32,12 @@ elif [ "${OS}" == "centos7" ]; then
do
push_rpm "$i"
done
-# elif [ "${OS}" == "opensuse" ]; then
-# # Find the files
-# RPMS=$(find . -type f -iname '*.rpm')
-# for i in $RPMS
-# do
-# push_rpm "$i"
-# done
+elif [ "${OS}" == "opensuse" ]; then
+ # Find the files
+ RPMS=$(find . -type f -iname '*.rpm')
+ for i in $RPMS
+ do
+ push_rpm "$i"
+ done
fi
# vim: ts=4 sw=4 sts=4 et ft=sh :